package com.fs.store.domain;

import java.math.BigDecimal;
import java.util.List;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.store.dto.StoreOrderProductDTO;

/**
 * 商品组合套餐对象 fs_store_product_package
 * 
 * @author fs
 * @date 2022-07-14
 */
public class FsStoreProductPackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 20 */
    private Long packageId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 描述 */
    @Excel(name = "描述")
    private String descs;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 封面 */
    @Excel(name = "封面")
    private String imgUrl;

    @Excel(name = "组图")
    private String images;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    @Excel(name = "部门ID")
    private Long deptId;

    private String products;

    private Integer payType;

    private Integer limitCount;

    private Integer cateId;

    private Integer sort;

    private Integer status;

    List<StoreOrderProductDTO> productList;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getCateId() {
        return cateId;
    }

    public void setCateId(Integer cateId) {
        this.cateId = cateId;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }



    public List<StoreOrderProductDTO> getProductList() {
        return productList;
    }

    public void setProductList(List<StoreOrderProductDTO> productList) {
        this.productList = productList;
    }

    public Integer getLimitCount() {
        return limitCount;
    }

    public void setLimitCount(Integer limitCount) {
        this.limitCount = limitCount;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }



    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getPackageId() {
        return packageId;
    }

    public void setPackageId(Long packageId) {
        this.packageId = packageId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescs() {
        return descs;
    }

    public void setDescs(String descs) {
        this.descs = descs;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public BigDecimal getPayMoney() {
        return payMoney;
    }

    public void setPayMoney(BigDecimal payMoney) {
        this.payMoney = payMoney;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getProducts() {
        return products;
    }

    public void setProducts(String products) {
        this.products = products;
    }
}
